#include "qfacesearchr.h"

QFaceSearchR::QFaceSearchR(QObject *parent)
    : QObject{parent}
{

}

void QFaceSearchR::SetImage(QImage Img)
{
    QByteArray byteArray;
    QBuffer buffer(&byteArray);
    buffer.open(QIODevice::WriteOnly);
    Img.save(&buffer,"jpg");
    ImageBase64=QString::fromUtf8(byteArray.toBase64().data());
}

void QFaceSearchR::SendRequest()
{
    Manager=new QNetworkAccessManager();
    Request.setUrl(QUrl(tr("https://aip.baidubce.com/rest/2.0/face/v3/search?access_token=%1").arg(AcessToken)));
    Request.setHeader(QNetworkRequest::ContentTypeHeader, "Content-Type: application/json");

    jsob1.insert("group_id_list",group_id_list);
    jsob1.insert("image", ImageBase64);
    jsob1.insert("image_type","BASE64");

    Reply=Manager->post(Request,QJsonDocument(jsob1).toJson());
    connect(Reply,&QNetworkReply::readyRead,this,&QFaceSearchR::On_Ready_Read);
}

void QFaceSearchR::On_Ready_Read()
{
    QByteArray JsonData=Reply->readAll();
    QJsonObject obj=QJsonDocument::fromJson(JsonData).object();
    qDebug()<<obj.value("error_msg").toString();
    QJsonObject obj2=obj.value("result").toObject();
    qDebug()<<obj.value("face_token").toString()<<"    result success";
    QJsonArray ary=obj2.value("user_list").toArray();
    qDebug()<<ary[0].toObject().value("user_id").toString();

}
